<?php


namespace Hector68\PrestaLiveInform\install;


abstract class AbstractInstaller
{

    /**
     * @var \Module
     */
    protected $module;

    /**
     * Prestashop15And16 constructor.
     * @param \Module $module
     */
    public function __construct(\Module $module)
    {
        $this->module = $module;
    }

    /**
     * @return \Module
     */
    public function getModule()
    {
        return $this->module;
    }

    abstract public function install();

    abstract public function uninstall();

    abstract public function setUpTrackNumber($params);

    abstract public function displayInvoice($params);


    abstract public function displayAdminOrder($params);
}